Skip to main content
GET
List Users

Authorizations

Authorization
string
header
required

The API key to authenticate requests. Obtainable from the web dashboard.

Query Parameters

count
integer<int32>

Non-negative integer. Specifies the desired maximum number of query results per page. A negative value SHALL be interpreted as "0". A value of "0" indicates that no resource results are to be returned except for "totalResults".

filter
string

A filter expression used to filter the results. The expression is evaluated against the resource attributes.

startIndex
integer<int32>

The 1-based index of the first query result. A value less than 1 SHALL be interpreted as 1.

Response

OK

A SCIM user list.

schemas
string[]
required

An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current structure. Each schema URI MUST be unique, and any schema that defines attributes in the current structure MUST be included in the array. The schemas array is REQUIRED and MUST be non-empty.

totalResults
integer
required

The total number of results returned by the list or query operation. The value may be larger than the number of resources returned, such as when returning a single page of results where multiple pages are available.

Resources
object[]
required

An array of SCIM user objects as defined in RFC 7643. This object is used to represent a user in the SCIM API.

startIndex
integer
required

The 1-based index of the first result in the current set of list results. REQUIRED when partial results are returned due to pagination.

itemsPerPage
integer
required

The number of resources returned in a list response page. REQUIRED when partial results are returned due to pagination.